;																				
; 1MHZ - Warteschleifen															
; 																				
; Hinweis: die Wartezeiten stimmen nur dann, wenn kein Interruptaufruf erfolgt	
;																				
; rcall 3 Takte																	
;  ret  4 Takte																	
;																				
; ##############################################################################
; ##############################################################################
; ##############################################################################
WAIT_10us:
	WDR
	nop
	nop
	nop
	nop
	nop
	nop
ret
; ##############################################################################
WAIT_20us:
	rcall wait_10us
	rjmp  wait_10us
; ##############################################################################
WAIT_50us:
	rcall wait_10us
	rcall wait_20us
	rjmp  wait_20us
; ##############################################################################
WAIT_100us:
	rcall wait_50us
	rjmp  wait_50us
; ##############################################################################
WAIT_200us:
	rcall wait_100us
	rjmp  wait_100us
; ##############################################################################
WAIT_500us:
	rcall wait_100us
	rcall wait_200us
	rjmp  wait_200us
; ##############################################################################
WAIT_500us_NO_WDR:
	push temp
	ldi temp,100
;-------------------------------------------------------------------------------
WAIT_500us_NO_WDR_s:
	dec temp
	brne WAIT_500us_NO_WDR_s
	pop temp
ret
; ##############################################################################
wait_1ms:                               
	rcall WAIT_500us
	rjmp  WAIT_500us
; ##############################################################################
WAIT_2ms:
	rcall wait_1ms
	rjmp  wait_1ms
; ##############################################################################
wait_5ms:                               
	rcall WAIT_2ms
	rcall WAIT_2ms
	rjmp  WAIT_1ms
; ##############################################################################
wait_10ms:                               
	rcall wait_5ms
	rjmp  wait_5ms
; ##############################################################################
wait_20ms: 
	rcall wait_10ms
	rjmp  wait_10ms
; ##############################################################################
wait_50ms: 
	rcall wait_20ms
	rcall wait_20ms
	rjmp  wait_10ms
; ##############################################################################
WAIT_100ms:
	rcall wait_50ms
	rjmp  wait_50ms
; ##############################################################################
WAIT_200ms:
	rcall wait_100ms
	rjmp  wait_100ms
; ##############################################################################
wait_500ms:                               
	rcall WAIT_200ms
	rcall WAIT_200ms
	rjmp  WAIT_100ms
; ##############################################################################
WAIT_1s:
	rcall WAIT_500ms
	rjmp  WAIT_500ms
; ##############################################################################

